QGIS Application - Feature request #7640
Make Autolndentation possible in python console
2013-04-18 12:33 AM - vinayan Parameswaran

Status: Open

Priority: Normal

Assignee:

Category: Python plugins

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16561
Description

It would be great to have auto indentation after "' signs.

For example, the below snippet would fail.

Ist=[a','b','c','d]
foriinlIst:
print i
File "<input>", line 2
printi

A

IndentationError: expected an indented block

To make it work, we need to add required spaces to indent the lines after the "' sign

|St - [lal,|bl,lclildl]
foriinlIst:
printi
History

#1 - 2014-06-28 07:43 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
